Bug 1575255 - Review Request: gibo - gitignore boilerplate
Summary: Review Request: gibo - gitignore boilerplate
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2018-05-05 12:46 UTC by Sascha Peilicke
Modified: 2020-07-21 09:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-21 09:54:51 UTC
Type: ---


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2018-05-05 13:15:23 UTC
 - Not needed: Group: Development

 - Use a more meaningful rame for your archive:

Source0: https://github.com/simonwhitaker/gibo/archive/%{version}/%{name}-%{version}.tar.gz

 - You could use: %autosetup -p1  instead of:

%setup -q
%patch0 -p1

 - Add your own changelog entry

 - Might be a bit overkill to create two subpackages for the completions, I would add them to the main package.

Comment 2 Robert-André Mauchin 🐧 2018-05-05 13:16:04 UTC
Also since it's your first package, you need to find a sponsor, see https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join

Comment 3 Sascha Peilicke 2018-05-05 13:18:01 UTC
I'll address your comments. About the maintainership, sure why not. I've got a couple years as openSUSE core reviewer / packager but it's been a while ;-)

Comment 4 Sascha Peilicke 2018-05-05 13:55:36 UTC
https://copr-be.cloud.fedoraproject.org/results/saschpe/gibo/fedora-28-x86_64/00750628-gibo/gibo.spec
https://copr-be.cloud.fedoraproject.org/results/saschpe/gibo/fedora-28-x86_64/00750628-gibo/gibo-1.0.6-1.fc28.src.rpm

- Removed Group:
- Archive name is based on automatic tarballs generated by Github based on git tags
- Switched to %autosetup
- Added a changelog entry though it feels kind of awkward coming from OpenBuildService ;-)
- I prefer the sub-packages to avoid dependencies on zsh / bash-completion for those not using them on the base pkg

Comment 5 Robert-André Mauchin 🐧 2018-05-12 17:11:08 UTC
 - I don't think %global debug_package %{nil} is needed as it is a noarch package already.

> - Archive name is based on automatic tarballs generated by Github based on git tags

You can give a name for those archives if you use the following URL:

Source0: https://github.com/simonwhitaker/gibo/archive/%{version}/%{name}-%{version}.tar.gz

 - Install the license file in %files with %license, not %doc:

%files
%doc README.md
%license UNLICENSE

[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gibo-
     bash-completion , gibo-zsh-completion

You should require the main package from the subpackages.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file UNLICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/gibo/review-
     gibo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gibo-
     bash-completion , gibo-zsh-completion
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gibo-1.0.6-1.fc29.noarch.rpm
          gibo-bash-completion-1.0.6-1.fc29.noarch.rpm
          gibo-zsh-completion-1.0.6-1.fc29.noarch.rpm
          gibo-1.0.6-1.fc29.src.rpm
gibo.noarch: W: spelling-error Summary(en_US) gitignore -> git ignore, git-ignore, ignore
gibo.noarch: W: spelling-error Summary(en_US) boilerplates -> boilerplate, boilerplate's, boiler plates
gibo.noarch: W: spelling-error %description -l en_US gitignore -> git ignore, git-ignore, ignore
gibo.noarch: W: spelling-error %description -l en_US boilerplates -> boilerplate, boilerplate's, boiler plates
gibo.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
gibo.noarch: W: no-manual-page-for-binary gibo
gibo-bash-completion.noarch: W: no-documentation
gibo-zsh-completion.noarch: W: no-documentation
gibo.src: W: spelling-error Summary(en_US) gitignore -> git ignore, git-ignore, ignore
gibo.src: W: spelling-error Summary(en_US) boilerplates -> boilerplate, boilerplate's, boiler plates
gibo.src: W: spelling-error %description -l en_US gitignore -> git ignore, git-ignore, ignore
gibo.src: W: spelling-error %description -l en_US boilerplates -> boilerplate, boilerplate's, boiler plates
gibo.src: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
4 packages and 0 specfiles checked; 0 errors, 13 warnings.

Comment 6 Package Review 2020-07-10 00:56:35 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.


Note You need to log in before you can comment on or make changes to this bug.